# tstmachines

Tests the availability of remote machines for runing MPI programs

## Description

This script runs some simple tests to test that the environment can support the `ch_p4` device.

If no parameters are supplied, the default machinefile is used. This is either `<mpichhome>/util/machines/machines.$arch`, where `$arch` is the architecture name returned by `tarch` if MPICH has not be installed or the data directory (typically `<prefix>/share`) if MPICH has been installed.

## Command Line arguments

| -v | Turn on verbose mode
| -echo | Turns on debugging
| -machinefile=<filename> | Use `filename` instead of the default machinefile
| -help | Print out a short usage message

Location:/home/MPI/mansrc/commands